/*
     APL2C_H.H - include file for  APL2C fns
     Support for APL2PC to C interface
*/

#define MK_FP(seg,off) ((char far *)(((long)(seg) << 16) | (off)))

struct aplvhdr           /* APL Variable header */

  {  int ptr;
     int nb;
     int nelm;
     char type;
     char rank;
     int dimens[64];     /* nbr dimensions */
  };

/* Function Prototypes */

void rsb(char far *,int,int,int,int);
void wsb(char far *,int,int,int,int);

int apl_cs(void);
int svp_getm(int);
int svp_relm(int);

void apl_vhdr(struct aplvhdr * );
void vhdr_apl(struct aplvhdr * );
void apl_vfdata(struct aplvhdr * ,char far * );
int peek(int ,int);
void poke(int,int,int);
void mov_mem(char far *,char far *,int);
